GNU bug report logs - #31711
qutebrowser is broken

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix; Reported by: Rutger Helling <rhelling@HIDDEN>; dated Mon, 4 Jun 2018 12:15:03 UTC; Maintainer for guix is bug-guix@HIDDEN.

Message received at 31711 <at> debbugs.gnu.org:


Received: (at 31711) by debbugs.gnu.org; 6 Jun 2018 12:31:43 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jun 06 08:31:43 2018
Received: from localhost ([127.0.0.1]:36007 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1fQXbK-0001w8-VH
	for submit <at> debbugs.gnu.org; Wed, 06 Jun 2018 08:31:43 -0400
Received: from mail-it0-f41.google.com ([209.85.214.41]:36697)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <boskovits@HIDDEN>) id 1fQXbI-0001qC-Rs
 for 31711 <at> debbugs.gnu.org; Wed, 06 Jun 2018 08:31:41 -0400
Received: by mail-it0-f41.google.com with SMTP id e20-v6so7697139itc.1
 for <31711 <at> debbugs.gnu.org>; Wed, 06 Jun 2018 05:31:40 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:in-reply-to:references:from:date:message-id:subject:to
 :cc; bh=V/rLcJXMzqUHBUMGXUYuxF1+fFIwgXYQj2qx2iYClUo=;
 b=qYxi/nxYbsCHl4lJBdxDcgEbkR8+wUYO9N8U1fjaRGqRTy1Z+Pr+wIJiNWcrdbcMGE
 AyV+iNwqzI7wcuZzYuykP0rwqt0Qxr1FIKX2JCHB0u4aTHSzmnCWPxiXiVMfsVU3JLKQ
 FljvpRRCePY6Tm9t8pdW7XfrkpqbP1pVNyH4dU6Oxc03jvDzicFqkFlyvX+wLqKppmfJ
 kPkERNUMReTPgzkDVJJE28H/mGbwrl59JNuBcrcmeQzLZAL0vC5xacWLI9JQyEL/J1Er
 Jaf4/dO0jihp1FScBKdTGBJzE6bdwOZj5NVVgDd+A7JuG8OHEkEuJRlLAGL/pEdVfBqC
 efmw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:in-reply-to:references:from:date
 :message-id:subject:to:cc;
 bh=V/rLcJXMzqUHBUMGXUYuxF1+fFIwgXYQj2qx2iYClUo=;
 b=Uefg1ufKeXk95XM33t9WC+kSCfhvAvk8XQTSHeTp+OYOjSWSLHVg+zCYHlN4Rcybb8
 dBdYVDSgbRB9ZLcTvdkXvXT8SOZ8/k43xc1E8jq67I29Pi2mJYuXRLhyFyfOGpmUH4sV
 RnwNX/nqOe1uKP9YGGmWeavyWjCI199umX4QLQ4p9PVZIG1cymep6368rJYNl3KQZYaN
 oZ+0vPHfYgA+2Y8JjsgA3EjIqssfIP+ziW3rLpMyT5pLY4i3JyuVN5bnZuerhIalTSPv
 xRvskjj8rTqjWB3Kgd6zp3P/AT8536yzhNXHA39UaZZDL36C+QocEU/k9WfgXXoS8pY2
 BgKQ==
X-Gm-Message-State: APt69E3ljVLOAdFBd0XvIeEDQOQO8IuLas7P86Qk7tyXOy3zv4O2k9Qa
 yEhGOvvrYlyC0mvdfhIUQt9S1Hr3p6HWVNfoUQ==
X-Google-Smtp-Source: ADUXVKIXEmkxkSgfOTwlO1H0pY/LX9the8GIFi5ua39E8Uh19qcJNhDhGZk+YA4FwqsmV7Lsq/+jPUBiwAwjJOOace4=
X-Received: by 2002:a24:8681:: with SMTP id
 u123-v6mr2303186itd.2.1528288295299; 
 Wed, 06 Jun 2018 05:31:35 -0700 (PDT)
MIME-Version: 1.0
Received: by 2002:a4f:a84d:0:0:0:0:0 with HTTP;
 Wed, 6 Jun 2018 05:31:34 -0700 (PDT)
In-Reply-To: <20180606094841.GD5242@macbook41>
References: <20180604141427.527a21b6@HIDDEN>
 <20180606094841.GD5242@macbook41>
From: =?UTF-8?Q?G=C3=A1bor_Boskovits?= <boskovits@HIDDEN>
Date: Wed, 6 Jun 2018 14:31:34 +0200
Message-ID: <CAE4v=piMnWMZDfxd4hrTO+sBqC75qMtfD3TM_K6xLioTP6Xu0Q@HIDDEN>
Subject: Re: bug#31711: qutebrowser is broken
To: Efraim Flashner <efraim@HIDDEN>
Content-Type: multipart/alternative; boundary="000000000000f4c6e9056df85847"
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 31711
Cc: 31711 <at> debbugs.gnu.org, Rutger Helling <rhelling@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--000000000000f4c6e9056df85847
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

2018-06-06 11:48 GMT+02:00 Efraim Flashner <efraim@HIDDEN>:

> On Mon, Jun 04, 2018 at 02:14:27PM +0200, Rutger Helling wrote:
> > Hi Guix,
> >
> > qutebrowser fails to start with the recent python-pyqt upgrade,
> > possibly due to the removed qtwebkit input.
> >
> > The following error occurs:
> > ---
> >
> > Fatal error: QtWebEngine is required to run qutebrowser but could not
> > be imported! Maybe it's not installed?
> >
> > The error encountered was:
> > No module named 'PyQt5.QtWebEngineWidgets'
> >
> > Please search for the python3 version of QtWebEngine in your
> > distributions packages, or install it via pip.
> >
> > Please search for the python3 version of QtWebEngine in your
> > distributions packages, or install it via pip.
>
> As part of upgrading Qt to 5.11 the pyqt module for qtwebkit broke so
> qtwebkit was removed from pyqt in an attempt to allow other packages
> that didn't rely on it to continue working. Unfortunately qutebrowser
> got caught up in the middle.
>
> Realistically we'd need to either re-enable qtwebkit as an input for
> pyqt or package qtwebengine and use that in pyqt.
>
>
Actually packaging qtwebengine seems to be the better way. Anyone working
on that?


>
> --
> Efraim Flashner   <efraim@HIDDEN>   =D7=90=D7=A4=D7=A8=D7=99=D7=
=9D =D7=A4=D7=9C=D7=A9=D7=A0=D7=A8
> GPG key =3D A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
> Confidentiality cannot be guaranteed on emails sent or received unencrypt=
ed
>

--000000000000f4c6e9056df85847
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr"><div class=3D"gmail_extra"><div class=3D"gmail_quote">2018=
-06-06 11:48 GMT+02:00 Efraim Flashner <span dir=3D"ltr">&lt;<a href=3D"mai=
lto:efraim@HIDDEN" target=3D"_blank">efraim@HIDDEN</a>&gt;<=
/span>:<br><blockquote class=3D"gmail_quote" style=3D"margin:0 0 0 .8ex;bor=
der-left:1px #ccc solid;padding-left:1ex"><div class=3D"HOEnZb"><div class=
=3D"h5">On Mon, Jun 04, 2018 at 02:14:27PM +0200, Rutger Helling wrote:<br>
&gt; Hi Guix,<br>
&gt; <br>
&gt; qutebrowser fails to start with the recent python-pyqt upgrade,<br>
&gt; possibly due to the removed qtwebkit input.<br>
&gt; <br>
&gt; The following error occurs:<br>
&gt; ---<br>
&gt; <br>
&gt; Fatal error: QtWebEngine is required to run qutebrowser but could not<=
br>
&gt; be imported! Maybe it&#39;s not installed?<br>
&gt; <br>
&gt; The error encountered was:<br>
&gt; No module named &#39;PyQt5.QtWebEngineWidgets&#39;<br>
&gt; <br>
&gt; Please search for the python3 version of QtWebEngine in your<br>
&gt; distributions packages, or install it via pip.<br>
&gt; <br>
&gt; Please search for the python3 version of QtWebEngine in your<br>
&gt; distributions packages, or install it via pip.<br>
<br>
</div></div>As part of upgrading Qt to 5.11 the pyqt module for qtwebkit br=
oke so<br>
qtwebkit was removed from pyqt in an attempt to allow other packages<br>
that didn&#39;t rely on it to continue working. Unfortunately qutebrowser<b=
r>
got caught up in the middle.<br>
<br>
Realistically we&#39;d need to either re-enable qtwebkit as an input for<br=
>
pyqt or package qtwebengine and use that in pyqt.<br>
<span class=3D"HOEnZb"><font color=3D"#888888"><br></font></span></blockquo=
te><div><br></div><div>Actually packaging qtwebengine seems to be the bette=
r way. Anyone working</div><div>on that?</div><div>=C2=A0</div><blockquote =
class=3D"gmail_quote" style=3D"margin:0 0 0 .8ex;border-left:1px #ccc solid=
;padding-left:1ex"><span class=3D"HOEnZb"><font color=3D"#888888">
<br>
-- <br>
Efraim Flashner=C2=A0 =C2=A0&lt;<a href=3D"mailto:efraim@HIDDEN">ef=
raim@HIDDEN</a>&gt;=C2=A0 =C2=A0=D7=90=D7=A4=D7=A8=D7=99=D7=9D =D7=
=A4=D7=9C=D7=A9=D7=A0=D7=A8<br>
GPG key =3D A28B F40C 3E55 1372 662D=C2=A0 14F7 41AA E7DC CA3D 8351<br>
Confidentiality cannot be guaranteed on emails sent or received unencrypted=
<br>
</font></span></blockquote></div><br></div></div>

--000000000000f4c6e9056df85847--




Information forwarded to bug-guix@HIDDEN:
bug#31711; Package guix. Full text available.

Message received at 31711 <at> debbugs.gnu.org:


Received: (at 31711) by debbugs.gnu.org; 6 Jun 2018 09:48:53 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jun 06 05:48:53 2018
Received: from localhost ([127.0.0.1]:35902 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1fQV3l-0005Yk-Ab
	for submit <at> debbugs.gnu.org; Wed, 06 Jun 2018 05:48:53 -0400
Received: from flashner.co.il ([178.62.234.194]:37740)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <efraim@HIDDEN>) id 1fQV3h-0005YU-5L
 for 31711 <at> debbugs.gnu.org; Wed, 06 Jun 2018 05:48:51 -0400
Received: from localhost (unknown [31.210.182.47])
 by flashner.co.il (Postfix) with ESMTPSA id E3F8040056;
 Wed,  6 Jun 2018 09:48:42 +0000 (UTC)
Date: Wed, 6 Jun 2018 12:48:41 +0300
From: Efraim Flashner <efraim@HIDDEN>
To: Rutger Helling <rhelling@HIDDEN>
Subject: Re: bug#31711: qutebrowser is broken
Message-ID: <20180606094841.GD5242@macbook41>
References: <20180604141427.527a21b6@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; micalg=pgp-sha512;
 protocol="application/pgp-signature"; boundary="WK3l2KTTmXPVedZ6"
Content-Disposition: inline
In-Reply-To: <20180604141427.527a21b6@HIDDEN>
User-Agent: Mutt/1.10.0 (2018-05-17)
X-Spam-Score: 1.5 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  On Mon, Jun 04, 2018 at 02:14:27PM +0200,
 Rutger Helling wrote:
 > Hi Guix, > > qutebrowser fails to start with the recent python-pyqt upgrade, 
 > possibly due to the removed qtwebkit input. > > The following error occurs:
 > --- > > Fatal error: QtWebEngine is required to run qutebrowser but could
 not > be imported! Maybe it's not installed? > > The error encountered was:
 > No module named 'PyQt5.QtWebEngineWidgets' > > Please search for the python3
 version of QtWebEngine in your > distributions packages, or install it via
 pip. > > Please search for the python3 version of QtWebEngine in your >
 distributions packages, or install it via pip. [...] 
 Content analysis details:   (1.5 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 1.5 RCVD_IN_SORBS_WEB      RBL: SORBS: sender is an abusable web server
 [31.210.182.47 listed in dnsbl.sorbs.net]
 -0.0 SPF_HELO_PASS          SPF: HELO matches SPF record
 -0.0 SPF_PASS               SPF: sender matches SPF record
X-Debbugs-Envelope-To: 31711
Cc: 31711 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.5 (/)


--WK3l2KTTmXPVedZ6
Content-Type: text/plain; charset=utf-8
Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable

On Mon, Jun 04, 2018 at 02:14:27PM +0200, Rutger Helling wrote:
> Hi Guix,
>=20
> qutebrowser fails to start with the recent python-pyqt upgrade,
> possibly due to the removed qtwebkit input.
>=20
> The following error occurs:
> ---
>=20
> Fatal error: QtWebEngine is required to run qutebrowser but could not
> be imported! Maybe it's not installed?
>=20
> The error encountered was:
> No module named 'PyQt5.QtWebEngineWidgets'
>=20
> Please search for the python3 version of QtWebEngine in your
> distributions packages, or install it via pip.
>=20
> Please search for the python3 version of QtWebEngine in your
> distributions packages, or install it via pip.

As part of upgrading Qt to 5.11 the pyqt module for qtwebkit broke so
qtwebkit was removed from pyqt in an attempt to allow other packages
that didn't rely on it to continue working. Unfortunately qutebrowser
got caught up in the middle.

Realistically we'd need to either re-enable qtwebkit as an input for
pyqt or package qtwebengine and use that in pyqt.


--=20
Efraim Flashner   <efraim@HIDDEN>   =D7=90=D7=A4=D7=A8=D7=99=D7=9D =
=D7=A4=D7=9C=D7=A9=D7=A0=D7=A8
GPG key =3D A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
Confidentiality cannot be guaranteed on emails sent or received unencrypted

--WK3l2KTTmXPVedZ6
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQIzBAEBCgAdFiEEoov0DD5VE3JmLRT3Qarn3Mo9g1EFAlsXrfYACgkQQarn3Mo9
g1FOHQ/+NfyBXEwD5FOxWFfLbJaiC0vXqMqjmN4CzJEsCO/0+0x9N2UyXDYX8vwG
XEhB49wZCQRZXuBqLgQra4tR+/LPvHxLrsV/Lkalqdwk8scvddajhRXlqnF2j6jh
RNmZ2UoWOgIoH1rdK5Lqgs3HMxwZS8clqGitAe7f/thjjpGh25pM8psEz0NwlR29
35crBNgR8fs1VmuKcUmcHhyL9IGRy1Y+J8FDwmjHZDlgiYmNL2vQx5UOC4tq/Kyf
aPM4nbbe9yKuLgDfsGWuwK+5CJ2PXKhvJhkTuS/Ua1nEFoDNStvU7lsOWYxo2NRV
CNE9YyMCUMXx+SH+ZAO0KEZn+rKUxbYSCgxqgrUr+o/kcyYUwnbtzYBFu6vmMVhy
o9KEf0ee3EHrP0jeKaZPlPzXCUOWJfZGmZ30Loe09ox9aMysTjZbqJCoBDO1Gm/R
eAIGaJGP+kdQjZ3JQ9QOuRrcdcMianbYR7f4Z58ULuVV5F39hoE4olzvLcxZgeTX
laI/JJy5sOu2BfaUVO5A/vQueQDQWS99uNMxtW8TcxrJScIdHuKWZS31d2jWZu8b
xlgbF9/ta6iXRGndpU62UEup9mU36sBu63kZZ+m4+atelo27Q4Y9qqG/Fmxt9UhE
HyKZuXKGlG/xbe24W2436nMEBsJsZJjsA603kGmIhiqlS0uQVN8=
=WCVP
-----END PGP SIGNATURE-----

--WK3l2KTTmXPVedZ6--




Information forwarded to bug-guix@HIDDEN:
bug#31711; Package guix. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 4 Jun 2018 12:14:59 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jun 04 08:14:59 2018
Received: from localhost ([127.0.0.1]:60965 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1fPoO3-0006UM-8a
	for submit <at> debbugs.gnu.org; Mon, 04 Jun 2018 08:14:59 -0400
Received: from eggs.gnu.org ([208.118.235.92]:58478)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rhelling@HIDDEN>) id 1fPoO0-0006U3-6w
 for submit <at> debbugs.gnu.org; Mon, 04 Jun 2018 08:14:57 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <rhelling@HIDDEN>) id 1fPoNu-0007Gg-Dn
 for submit <at> debbugs.gnu.org; Mon, 04 Jun 2018 08:14:51 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00,FREEMAIL_FROM,
 T_DKIM_INVALID autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:49402)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <rhelling@HIDDEN>)
 id 1fPoNu-0007GU-AE
 for submit <at> debbugs.gnu.org; Mon, 04 Jun 2018 08:14:50 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:49438)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <rhelling@HIDDEN>) id 1fPoNt-0004ZW-8J
 for bug-guix@HIDDEN; Mon, 04 Jun 2018 08:14:50 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <rhelling@HIDDEN>) id 1fPoNq-0007EX-1n
 for bug-guix@HIDDEN; Mon, 04 Jun 2018 08:14:49 -0400
Received: from mx.kolabnow.com ([95.128.36.42]:25620)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <rhelling@HIDDEN>) id 1fPoNp-0007Dc-NK
 for bug-guix@HIDDEN; Mon, 04 Jun 2018 08:14:45 -0400
Received: from localhost (unknown [127.0.0.1])
 by ext-mx-out002.mykolab.com (Postfix) with ESMTP id CC0AD6D0
 for <bug-guix@HIDDEN>; Mon,  4 Jun 2018 14:14:42 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=mykolab.com; h=
 content-type:content-type:mime-version:message-id:subject
 :subject:from:from:date:date:received:received:received; s=
 dkim20160331; t=1528114481; x=1529928882; bh=WCTXl8+IegF2eTAXTmn
 JR4NIFZPMjPiqB8CvZsIc8Zs=; b=CQAamcFEKoTDza0Ap61V7mkS9RXex8LXQMp
 bYz7l1KiOMstQEReeuYRkUJw7Z+OKuERA3iWp8T28ik0zYDuHZhd9u+zOSUNbe+Y
 xCKYc6+CvJtbig6wvwqdil6xIoOJeyymsYvAKFXuNGcJvwsW0bzY5aD6bBczJaGG
 racmzkWLvSC1/ApEL+Fw36XcSKqUMyxMXw3k65ofIznprs7dD+xpSBxM4efwJRDB
 EL6hAKjPc1KtB14KeD2zCCmx8IEboFV4N60Gis4Uh/4zMTfF10f7PY4YCdpR3I42
 6ic0AEGC1TPrbjXr1IMmJsVYVzgEGJw2bZpGdfrScJT9XRsc8OGxDapaygrQ5RPe
 d5ZBWrjrlzD1cMn39uT3JgMu+Y8IkEXnhKN4FeFlYqQcCnbeh8FMScwOe07jvGeS
 RPsQruNSOV/P3qkTeN+rUMvHi22ClJAQLkTl7RZw+OC1ovhtPWvZQAi+dNcIboic
 Ul6M7mkkzZrPc9y7d2DNy19YEht2kOhKXQvllzuufa9jYXOE9kvO2RXrsB9s578a
 /LoD/AtgSkfLJKSUfxApGbfw8g9p1cxDUTwWNfmX8cjxoBYwBdgoq78oV7AbXlMN
 h3+YIGagjJmdoKRKwUreYSgm9v0dXMo9jEz8WYRHz+IG3FAasuiJCbadoy0Ta+tl
 9tUfdhpA=
X-Virus-Scanned: amavisd-new at mykolab.com
Received: from mx.kolabnow.com ([127.0.0.1])
 by localhost (ext-mx-out002.mykolab.com [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id h9ghnOmSBk3Q for <bug-guix@HIDDEN>;
 Mon,  4 Jun 2018 14:14:41 +0200 (CEST)
Received: from int-mx002.mykolab.com (unknown [10.9.13.2])
 by ext-mx-out002.mykolab.com (Postfix) with ESMTPS id D45BB3B0
 for <bug-guix@HIDDEN>; Mon,  4 Jun 2018 14:14:41 +0200 (CEST)
Received: from ext-subm002.mykolab.com (unknown [10.9.6.2])
 by int-mx002.mykolab.com (Postfix) with ESMTPS id BE20642A8
 for <bug-guix@HIDDEN>; Mon,  4 Jun 2018 14:14:41 +0200 (CEST)
Date: Mon, 4 Jun 2018 14:14:27 +0200
From: Rutger Helling <rhelling@HIDDEN>
To: bug-guix@HIDDEN
Subject: qutebrowser is broken
Message-ID: <20180604141427.527a21b6@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; micalg=pgp-sha256;
 boundary="Sig_/QgQ2z4JAjehw2zLE_.pz3xN"; protocol="application/pgp-signature"
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
 [fuzzy]
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -4.1 (----)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.1 (-----)

--Sig_/QgQ2z4JAjehw2zLE_.pz3xN
Content-Type: text/plain; charset=US-ASCII
Content-Transfer-Encoding: quoted-printable

Hi Guix,

qutebrowser fails to start with the recent python-pyqt upgrade,
possibly due to the removed qtwebkit input.

The following error occurs:
---

Fatal error: QtWebEngine is required to run qutebrowser but could not
be imported! Maybe it's not installed?

The error encountered was:
No module named 'PyQt5.QtWebEngineWidgets'

Please search for the python3 version of QtWebEngine in your
distributions packages, or install it via pip.

Please search for the python3 version of QtWebEngine in your
distributions packages, or install it via pip.

--Sig_/QgQ2z4JAjehw2zLE_.pz3xN
Content-Type: application/pgp-signature
Content-Description: OpenPGP digital signature

-----BEGIN PGP SIGNATURE-----

iQEzBAEBCAAdFiEEAVThuRzJ2e93ZI3n86cn20T8yjYFAlsVLSMACgkQ86cn20T8
yjakogf+K33kRkVqY4D6blVaCx3qUcWWooLqcxNmAj/upQZBWCFU9jQPoTgS590z
p8ognCw+F991oC4F0zMab3kxLBeh27JSkFyIL8QS0MQUYqsd9jhQ4fBKxQzg9Qvt
/643TyjbyPcOzwuSMcz462MugonFXavhFsuR3gRYBB1HhtaInIDbIgNF08upCDdI
TjSN3fPqFoTCy774bDnDjksISpg2/kH47/7zSF8sGCfPjkeDqrpKrhXkOazlTogY
ssN2KjCTHLU5gAZdP6VgXeNjBRnplsy9A7EgffCut9APUKez1ZpSobxBfK/CVfsv
G0BJ6Tm04kxRle/1mnoBCXvHqkGGOw==
=dy0E
-----END PGP SIGNATURE-----

--Sig_/QgQ2z4JAjehw2zLE_.pz3xN--




Acknowledgement sent to Rutger Helling <rhelling@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-guix@HIDDEN. Full text available.
Report forwarded to bug-guix@HIDDEN:
bug#31711; Package guix. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Wed, 6 Jun 2018 12:30:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.